pages:
  script:
    - mkdir .public
    - cp -r * .public
    - mv .public public
  artifacts:
    paths:
      - public
  only:
    - master

pages-dev:
  stage: deploy
  script:
    - mkdir .public
    - cp -r * .public
    - mkdir public
    - cd public
    - mkdir dev
    - cd ..
    - mv .public public/dev
  artifacts:
    name: "dev"
    paths:
      - public
  only:
    - dev